Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000508 [Piwigo] notification feature always 2006.08.08 14:27 2006.09.19 00:39
Reporter tomdieu View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform N/A
Status closed   OS N/A
Projection none   OS Version N/A
ETA none Fixed in Version Alligator 1 Product Version 1.6.1
  Target Version Product Build
Summary 0000508: "Vidage" des flux RSS après la première consultation
Description ****************
* Sur le forum *
****************

http://forum.phpwebgallery.net/viewtopic.php?pid=43037 [^]

J'ai dit :
----------
J'utilise Netvibes ( http://www.netvibes.com/ [^] ) comme lecteur de flux RSS et le flux de mon album photo sous PhpWebGallery 1.6.1 apparait toujours "vide" !!

J'ai remarqué que lorsque l'on affiche le flux en cliquant sur le lien "flux RSS" de la page de notification de PhpWebGallery, celui-ci contient un "<item>" et que cet item disparait dès que l'on rafraichit la page... en résumé si je comprend bien, le flux est "vidé" suite à sa première lecture. Donc dès que le lecteur de flux cherche à le rafraichir, le flux devient vide. Ou pire (et je pense que c'est ce qui doit se passer avec Netvibes) si le lecteur fait plusieurs appels au flux, celui-ci est toujours vide...

Est-ce que j'ai bien compris? Est-ce qu'une solution/évolution est prévue pour palier à ce problème?

rub a répondu :
---------------
Tu as tout bien compris! C'est le fonctionnement actuel.
Rien n'est prévu mais tu peux faire part de ta demande dans pwg bugtracker (http://bugs.phpwebgallery.net/main_page.php) [^]

***********
* Demande *
***********

Le fonctionnement actuel du flux RSS me semble pas très adapté et surtout différent du fonctionnement "habituel" des flux RSS : en général un flux RSS contient un nombre n d'<item> qui sont considérés comme lus par le lecteur de flux. Ce n'est pas le flux qui change suite à sa lecture.
Pour pas que le flux deviennent énorme et contienne tous les éléments ajoutés il y'a plusieus solutions :
- Lors de l'ajout d'un nouvel item, l'item le plus ancien est supprimé du flux afin que le flux contienne un nombre constant d'item.
- Le flux contient seulement les item datant de N jours.

Dans le cas de PhpWebGallery, un item pourrait correspondre à un événement (nel utilisateur, nouvelle catégorie, mise à jour d'une catégorie, ... sans aller jusqu'au niveau de l'ajout/modif d'une photo, le flux pourrait devenir trop gros.

Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001381)
rvelices (developer)
2006.08.17 02:24
edited on: 2006.08.17 02:25

J'ai le meme probleme (le meme sur netvibes et my yahoo).
Sur google reader je ne recoit que la premiere news et ensuite rien (facilement corrigee en rajoutant l'element guid pour l'item).
Mon but est de pouvoir utiliser un aggregateur en ligne au boulot+maison et que je sois sur de voir les mises a jour des differentes galleries (meme si je laisse un aggregateur web tourner le weekend au boulot et que je l'utilise a la maison pendant le weekend)

Je propose de rajouter plusieurs <item> (en plus de celui de sommaire) qui montre 2-3 miniatures. Un de ce nouveaux items correspond a toutes les photos rajoutees dans une passe de synchronisation (group by date_available). Par la suite on peut enrichir le contenu avec des liens vers "images recentes" "categories recentes", etc...

(0001386)
plg (manager)
2006.08.17 11:15

Comme indiqué par rub, le fonctionnement que décrit tomdieu est celui prévu, c'est à dire qu'à chaque lecture de flux, on a 0 ou 1 item. Le flux RSS de PhpWebGallery a un fonctionnement un peu spécial, car il s'agit d'un flux de notification et pas d'un flux de news par exemple.

Une solution serait de stocker les items précédents dans un champ de la table #feeds.

Cela dit, normalement, un lecture de flux est censé conservé en mémoire les anciens items, ce n'est pas le travail du serveur de flux en théorie. Grâce à cela, c'est l'utilisateur lecteur de flux qui définit le nombre d'item qu'il souhaite garder en mémoire.
(0001393)
rvelices (developer)
2006.08.17 16:02
edited on: 2006.08.17 16:45

Je n'ai pas propose la solution ideale car un peu chiante a faire pour pas grande chose. Le item "sommaire" reste 0 ou 1 comme a ce jour.
Je proposais un flux de "news" juste pour l'ajout d'images (1 item par date d'ajout). De cette maniere au moins on n'oblige pas les utilisateurs normaux a utiliser une appli qui sauve les items (je pense que la plupart des applis ne les sauve pas). Juste l'admin.
Es-tu d'accord avec ma solution ou tu preferes que je fasse la solution ideale?
P.S. J'ai mis sur mon site un flux rss que tu peux tester

(0001432)
rvelices (developer)
2006.09.19 00:39

I made some changes in [Subversion] r1549
It answers partially to the initial request:
- the 0/1 item remains, but it does not hold information about new images/updated albums (only users/comments etc...). I added a guid element to the feed item. As a result it works now with google reader but sill not with netvibes
- I added 5 new feed items for new images/updated albums (generated by grouping by post date) with more information, thumbnails and links

So now new images/updated albums will work with all readers, but not the 0/1 feed item (it requires a RSS reader that persists the feed items).

- Issue History
Date Modified Username Field Change
2006.08.08 14:27 tomdieu New Issue
2006.08.08 14:27 tomdieu browser => any
2006.08.08 14:27 tomdieu Web server => Apache 1.3.x
2006.08.17 02:24 rvelices Note Added: 0001381
2006.08.17 02:24 rvelices Status new => acknowledged
2006.08.17 02:25 rvelices Note Edited: 0001381
2006.08.17 11:15 plg Note Added: 0001386
2006.08.17 16:02 rvelices Note Added: 0001393
2006.08.17 16:21 rvelices Issue Monitored: rvelices
2006.08.17 16:45 rvelices Note Edited: 0001393
2006.09.19 00:39 rvelices Note Added: 0001432
2006.09.19 00:39 rvelices Assigned To => rvelices
2006.09.19 00:39 rvelices Status acknowledged => closed
2006.09.19 00:39 rvelices Resolution open => fixed
2006.09.19 00:39 rvelices Fixed in Version => Alligator (trunk)


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker